#include <psychlops.h>
using namespace Psychlops;

void psychlops_main() {
	Canvas cnvs(1024,768,Canvas::window);
	cnvs.watchFPS();
	cnvs.showFPS();
	Mouse::show();
	Color::setGammaValue(1.0,1.0,1.0);


	Figures::ShaderExponentialDot shaderDot;
	shaderDot.setSigma(6).centering();

	Image imageDot;
	shaderDot.to(imageDot);
	imageDot.centering().shift(0,100);


	while(!Keyboard::esc.pushed()) {
		cnvs.clear(Color::gray);
		shaderDot.shift(0.1,0).draw();
		imageDot .shift(0.1,0).draw();
		cnvs.flip();
	}
}

